<script lang="ts" setup>
import { useReceiptStore } from "@/stores/receipt";

import type { VSheet } from "vuetify/components";

const receiptStore = useReceiptStore();
</script>

<template>
  <div class="overflow-auto" ref="div">
    <v-sheet min-width="300" elevation="3">
      <v-table>
        <thead class="bgHeader">
          <tr class="text">
            <th>id</th>
            <th>name</th>
            <th>category</th>
            <th>sweet</th>
            <th>price</th>
            <th>qty</th>
            <th>total</th>
            <th></th>
          </tr>
        </thead>
        <tbody>
          <tr
            v-for="(item, index) of receiptStore.receiptItems"
            :key="item.id"
            :style="{ backgroundColor: index % 2 === 0 ? '#C0C0C0' : '#E5E8E8' }"
          >
            <td>{{ index + 1 }}</td>
            <td>{{ item.name }}</td>
            <td>{{ item.category }}</td>
            <td>{{ item.sweet }}</td>
            <td>{{ item.price }}</td>
            <td>
              <v-btn
                color="gray"
                icon="mdi-minus"
                density="compact"
                @click="receiptStore.decUnitOfReceiptItem(item)"
              ></v-btn>
              {{ item.qty }}
              <v-btn
                color="gray"
                icon="mdi-plus"
                density="compact"
                @click="receiptStore.incUnitOfReceiptItem(item)"
              ></v-btn>
            </td>
            <td>{{ item.price * item.qty }}</td>
            <td>
              <v-btn
                color="red"
                icon="mdi-delete"
                density="compact"
                @click="
                  () => {
                    receiptStore.removeItem(item);
                  }
                "
              ></v-btn>
            </td>
          </tr>
        </tbody>
      </v-table>
    </v-sheet>
  </div>
</template>
<style scoped>
.bgHeader {
  background-color: #808080;
}
.text {
  color: ghostwhite;
  font-size: medium; /* เปลี่ยนขนาดตัวอักษรเป็นขนาดปกติ */
  font-weight: bold; /* ทำให้ตัวอักษรหนาขึ้น */
}
</style>
